<app-baselayout title="Pending Order List">
  <!-- Form Breadcrumb -->
  <breadcrumb [items]='breadcrumb'></breadcrumb>
  <div class="">
    <form [formGroup]="SelectAccountForm">
      <label style="font-size: 18px;
      font-weight: 500;
      display: block;
      margin-bottom: 8px;" for="">Select Account</label>
    <select class="sl custom-select custom-select-lg mb-3" #section formControlName="selectaccount"  (change)="selectAccount(section.value)"
      style="padding: 10px 38px;margin: 1px;">
      <option selected>Select Account</option>
      <option [value]="a.customer_tradestation_account_id" *ngFor="let a of accountList">{{a.tag}}</option>

    </select>
  </form>
  </div>
  <div class="row">
    <div class="row mb-5 portfoliotab" *ngIf="!linkFromPartner">
      <div class="list-group" style="flex-direction: row;">
        <a routerLink="/customer/portfolio/{{customer_Id}}" routerLinkActive="active"
          class="btn  btn-lg btn-block w-100">Portfolio</a>
        <a routerLink="/customer/investedstock/{{customer_Id}}" routerLinkActive="active"
          class="btn  btn-lg btn-block w-100">Invested StockList</a>
        <a routerLink="/customer/pendingorder/{{customer_Id}}" routerLinkActive="active"
          class="btn  btn-lg btn-block w-100">Pending Orders</a>
      </div>
    </div>
    <div class="row mb-5 portfoliotab" *ngIf="linkFromPartner">
      <div class="list-group" style="flex-direction: row;">
        <a routerLink="/partner/rm/{{paramPartnerId}}/customer/{{paramRmMasterId}}/portfolio/{{customer_Id}}" routerLinkActive="active"
          class="btn  btn-lg btn-block w-100">Portdfolio</a>
        <a routerLink="/partner/rm/{{paramPartnerId}}/customer/{{paramRmMasterId}}/investedstock/{{customer_Id}}" routerLinkActive="active"
          class="btn  btn-lg btn-block w-100">Invested StockList</a>
        <a routerLink="/partner/rm/{{paramPartnerId}}/customer/{{paramRmMasterId}}/pendingorder/{{customer_Id}}" routerLinkActive="active"
          class="btn  btn-lg btn-block w-100">Pending Orders</a>
      </div>
    </div>
  </div>
  <!-- <div class="">
    <form [formGroup]="SelectAccountForm">
    <select class="custom-select custom-select-lg mb-3" #section formControlName="selectaccount"  (change)="selectAccount(section.value)"
      style="padding: 10px 38px;margin: 1px;">
      <option selected>Select Acount</option>
      <option [value]="a.customer_tradestation_account_id" *ngFor="let a of accountList">{{a.tag}}</option>
    </select>
  </form>
  </div> -->

  <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table w-100" style="white-space: nowrap;">
    <thead>
      <tr>
        <th scope="col">#</th>
        <th scope="col">Order ID</th>
        <th scope="col">Company Name</th>
        <th scope="col">Limit Price</th>
        <th scope="col">Order Type</th>
        <!-- <th scope="col">Price</th> -->
        <th scope="col">quantity</th>

      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let data of pendingOrderList; let i = index">
        <th scope="row">{{i+1}}</th>
        <td>{{data.tradestation_order_id}}</td>
        <td>{{data.company_name}}</td>
        <td>{{data.limit_price}}</td>
        <td>{{data.order_type}}</td>
        <!-- <td>{{data.price}}</td> -->
        <td>{{data.quantity}}</td>
      </tr>
    </tbody>
  </table>
</app-baselayout>